<mat-card>
    <mat-card-title>Detalhar Membro</mat-card-title>
    <mat-card-content>
      <div class="container-fluid">
        <form #membroForm="ngForm">

          <div class="form-row">
            <div class="form-group col-md-2">
              <mat-form-field>
                <input matInput placeholder="Número" id="numero"
                    [(ngModel)]="membro.membroId" name="numero" #numero="ngModel" readonly="true">
              </mat-form-field>
            </div>
            <div class="form-group col-md-5">
              <mat-form-field>
                <input matInput placeholder="Nome" id="nome"
                    [(ngModel)]="membro.nome" name="nome" #nome="ngModel" readonly="true">
              </mat-form-field>
            </div>

            <div class="form-group col-md-5">
              <mat-form-field>
                <input matInput placeholder="E-mail" id="email"
                    [(ngModel)]="membro.email" name="email" #email="ngModel" readonly="true">
              </mat-form-field>
            </div>
          </div>

          <div class="form-row">
            <div class="form-group col-md-2">
              <mat-form-field>
                <input matInput ngxPhoneMaskBr placeholder="Telefone" id="telefone"
                    [(ngModel)]="membro.telefone" name="telefone" #telefone="ngModel" readonly="true">
              </mat-form-field>
            </div>
            <div class="form-group col-md-2">
              <mat-form-field>
                <input matInput placeholder="Situação Membro" id="situacaoMembro"
                  [(ngModel)]="membro.situacaoMembro" name="situacaoMembro" #situacaoMembro="ngModel" readonly="true">
              </mat-form-field>
            </div>

            <div class="form-group col-md-2">
              <mat-form-field>
                <input matInput placeholder="Data Nascimento" id="dataNascimento" mask="d0/M0/0000" [showMaskTyped]="true"
                  [(ngModel)]="membro.dataNascimento" name="dataNascimento" #dataNascimento="ngModel" readonly="true">
              </mat-form-field>
            </div>
            <div class="form-group col-md-2">
              <mat-form-field>
                <mat-select id="tipoMembro" placeholder="Tipo Membro" [(ngModel)]="membro.tipoMembro" name="tipoMembro"
                  #tipoMembro="ngModel" readonly="true">
                  <mat-option>Selecione</mat-option>
                  <mat-option *ngFor="let tipoMembro of tipoMembros" [value]="tipoMembro">{{ tipoMembro }}
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>

            <div class="form-group col-md-2">
              <mat-form-field>
                <mat-select id="perfil" placeholder="Perfil" [(ngModel)]="membro.perfil" name="perfil" #perfil="ngModel" readonly="true">
                  <mat-option>Selecione</mat-option>
                  <mat-option *ngFor="let perfil of perfis" [value]="perfil">{{ perfil }}
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>
            <div class="form-group col-md-2">
              <mat-form-field>
                <input matInput type="password" placeholder="Senha" id="senha" [(ngModel)]="membro.senha" name="senha"
                  #senha="ngModel" readonly="true" />
                <mat-error *ngIf="senha.invalid || senha.pristine">A Senha é obrigatória!</mat-error>
              </mat-form-field>
            </div>
        </div>

        <div class="form-row">
          <div class="form-group">
            <mat-card-actions>
              <button class="btn btn-light" (click)="voltarConsulta()">voltar</button>
            </mat-card-actions>
          </div>
        </div>
      </form>
    </div>
    </mat-card-content>
  </mat-card>
